CounterContext.Relationship (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db.context

## Enum CounterContext.Relationship

- java.lang.Object
- - java.lang.Enum<CounterContext.Relationship>
  - - org.apache.cassandra.db.context.CounterContext.Relationship

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CounterContext.Relationship>
  Enclosing class:
    CounterContext

      public static enum CounterContext.Relationship
      extends java.lang.Enum<CounterContext.Relationship>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISJOINT`
    `EQUAL`
    `GREATER_THAN`
    `LESS_THAN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CounterContext.Relationship` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CounterContext.Relationship[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EQUAL

          public static final CounterContext.Relationship EQUAL

    - #### GREATER_THAN

          public static final CounterContext.Relationship GREATER_THAN

    - #### LESS_THAN

          public static final CounterContext.Relationship LESS_THAN

    - #### DISJOINT

          public static final CounterContext.Relationship DISJOINT

  - ### Method Detail

    - #### values

          public static CounterContext.Relationship[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CounterContext.Relationship c : CounterContext.Relationship.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CounterContext.Relationship valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation